%define tarball_version 1_6_2

Name:           mp3gain
Version:        1.6.2
Release:        %mkrel 5
Summary:        Lossless MP3 volume adjustment tool

Group:          Sound/Utilities
License:        LGPLv2
URL:            http://mp3gain.sourceforge.net
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{tarball_version}-src.zip
Source1:        %{name}.1.bz2
Source2:        README.method
Patch1:         0001-fix-security-bugs.patch
Patch2:         mp3gain_cflags.patch
BuildRequires:	pkgconfig(libmpg123)

%description
MP3Gain analyzes and adjusts mp3 files so that they have the same
volume. It does not just do peak normalization, as many normalizers
do. Instead, it does some statistical analysis to determine how loud
the file actually sounds to the human ear. Also, the changes MP3Gain
makes are completely lossless. There is no quality lost in the change
because the program adjusts the mp3 file directly, without decoding
and re-encoding.

%prep
%setup -q -c %{name}-%{tarball_version}-src
%autopatch -p1

install -p -m 644 %{SOURCE2} .
%{__sed} -i 's/\r//' lgpl.txt

%build
%make_build

%install
install -Dp -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1.bz2

%files
%doc lgpl.txt README.method
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.6.2-5.mga9
+ Revision: 1839451
- Mageia 9 Mass Rebuild

* Tue Apr 21 2020 ns80 <ns80> 1.6.2-4.mga8
+ Revision: 1570255
- add a patch from OpenSuse for CVE-2019-18359 (mga#26504)

* Thu Feb 13 2020 umeabot <umeabot> 1.6.2-3.mga8
+ Revision: 1515228
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.6.2-2.mga7
+ Revision: 1299612
- Mageia 7 Mass Rebuild

* Tue Jul 24 2018 mrambo3501 <mrambo3501> 1.6.2-1.mga7
+ Revision: 1245054
- version 1.6.2 fixes multiple CVEs (mga#21706)
- removed patch0 applied upstream
- added BR for libmpg123
+ kekepower <kekepower>
- Use make_build

* Thu Feb 04 2016 umeabot <umeabot> 1.5.2-8.mga6
+ Revision: 934388
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-7.mga5
+ Revision: 743188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-6.mga5
+ Revision: 682626
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.5.2-5.mga4
+ Revision: 508028
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.5.2-4.mga3
+ Revision: 360329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 1.5.2-3.mga3
+ Revision: 324688
- fix License
- update RPM group

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 1.5.2-2.mga1
+ Revision: 82181
- cleaned up spec
- removed buildroot tag
- imported package mp3gain


* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.5.2-1mdv2011.0
+ Revision: 567270
- update to 1.5.2
- unpack the patches
- rediff patches 0,2
- drop patch1, fixed upstream
- drop patch3, not needed any more

* Mon May 18 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4.6-4mdv2010.0
+ Revision: 377397
- add a patch to fix str fmt

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.4.6-3mdv2009.0
+ Revision: 252943
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4.6-1mdv2008.1
+ Revision: 136608
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Lenny Cartier <lenny@mandriva.org> 1.4.6-1mdv2008.0
+ Revision: 22608
- Import mp3gain




* Fri May 04 2007 Lenny Cartier <lenny@mandriva.com> 1.4.6-1mdv2008.0
- stole rpm from fedora

* Tue Nov 28 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.4.6-4
- Bump.

* Sun Nov 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.4.6-3
- D'Oh! Add HAVE_MEMCPY back to cflag patch.

* Sun Nov 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.4.6-2
- Update cflags patch to use RPM_OPT_FLAGS.

* Mon Nov 20 2006 Brian Pepple <bpepple@fedoraproject.org> - 1.4.6-1
- Initial Livna spec.
